summaryrefslogtreecommitdiff
path: root/tests.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2020-10-11 03:56:30 -0300
committerEuAndreh <eu@euandre.org>2020-10-11 04:19:20 -0300
commit6d2fae4d2749d893f5d027d5b4756e709a3847af (patch)
treed99d02b8039e233d2e5ae833b2752ef144274ffc /tests.sh
parentMark slides + article on feature flags as unpublished (diff)
downloadeuandre.org-6d2fae4d2749d893f5d027d5b4756e709a3847af.tar.gz
euandre.org-6d2fae4d2749d893f5d027d5b4756e709a3847af.tar.xz
Decouple testing with Nix
Use Nix for build isolation not for test running.
Diffstat (limited to '')
-rwxr-xr-xtests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
new file mode 100755
index 0000000..46f1f0e
--- /dev/null
+++ b/tests.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -Eeuo pipefail
+cd "$(dirname "${BASH_SOURCE[0]}")"
+
+set -x
+
+./scripts/assert-spelling.sh
+./scripts/assert-nixfmt.sh
+./scripts/assert-shellcheck.sh
+./scripts/assert-todos.sh
+
+./scripts/assert-content.sh